VirtuousAI
Reference

Tenant settings

List Tenant Settings

GET
/api/v1/tenant-settings

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/tenant-settings"
{
  "items": [
    {
      "key": "string",
      "source": "tenant",
      "value": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Get Tenant Setting

GET
/api/v1/tenant-settings/{key}

Path Parameters

key*string

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/tenant-settings/string"
{
  "key": "string",
  "source": "tenant",
  "value": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Set Tenant Setting

PUT
/api/v1/tenant-settings/{key}

Path Parameters

key*string

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

value*|||

Response Body

application/json

application/json

curl -X PUT "https://loading/api/v1/tenant-settings/string" \  -H "Content-Type: application/json" \  -d '{    "value": 0  }'
{
  "key": "string",
  "source": "tenant",
  "value": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}